List
Consumer Request
Request Body required
- Array [
- ]
distributor object required
This section will give details of intermediary (Broker, corporate Agent or Bank acting as intermediary)
Possible values: <= 20 characters
Distributor ID assign to each consumer by 1SB
Possible values: <= 30 characters
agent code. Eg. PoSP code or SP code provided by insurance company.
Possible values: <= 20 characters, [Online, Others]
This is used by insurance companies to identify sales channel.
Possible values: <= 20 characters, [B2B, B2C]
Indicates if the transaction is B2B or B2C.
Possible values: <= 20 characters, [POSP, SP, BQP]
Indicates if the agent type is POSP ,SP or BQP.
product object required
Possible values: <= 30 characters
This gives Line of Business or similar products put in one group. Distributor can provide generic LOB and 1SB can pick in relevant products while creating request for Manufacturer
insuranceAndProducts object[]
Array to capture multiple insurance company codes and their specific product codes. This also allows the consumer to ask for quotes for a specific product of a specific company(s).
Possible values: <= 15 characters
This is to provide quotes from selected companies. This field is mandatory for typeOfQuote= 'Single Quote'
Option for distributor to ask for quotes for specific products only. This field is mandatory for typeOfQuote= 'Single Quote'
Possible values: [nonParticipating, Participating, ULIP]
This field will help to filter savings products between participating, nonParticipating and ULIP. If no input is sent in this field, 1SB will respond with all products savings products available mentioned in insuranceAndProducts array
planOption object required
Possible values: <= 50 characters
Plan option selected and its details.
ID of the Plan Option selected. This field is mandatory for typeOfQuote = 'Single Quote' if a plan exists for the product selected.
- 200
- 400
- 500
Consumer Response
Schema
- Array [
- ]
Request Id for the quote assigned by 1SB
errors object[]
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 20 characters
In case error occurs, the error message will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error message will be stored here
data object required
Section to carry quote responses
{
"reqId": "string",
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"data": {
"applicableFunds": {}
}
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}